04.06.2015 06:02    

dnd
Merhaba,
Seçtiğim doğruların eğimlerini üzerine yazabilecek bir lisp var mı acaba?

Bir de elimde şöyle bir makro var:

Sub delta()
Dim Line1 As AcadLine
Dim Line2 As AcadLine
Dim XA1 As Double
Dim YA1 As Double
Dim XA2 As Double
Dim YA2 As Double
Dim XB1 As Double
Dim YB1 As Double
Dim XB2 As Double
Dim YB2 As Double
Dim DeltaXA As Double
Dim DeltaYA As Double
Dim DeltaXB As Double
Dim DeltaYB As Double
Dim J1 As Double
Dim J2 As Double
Dim te As AcadText
Dim delta As Double
Dim PI As Double

PI = 4 * Atn(1)

For i = 0 To 1000

ThisDrawing.Utility.GetEntity Line1, p, "Birinci Doğruyu Seçiniz"
XA1 = Line1.StartPoint(0)
YA1 = Line1.StartPoint(1)
XA2 = Line1.EndPoint(0)
YA2 = Line1.EndPoint(1)
DeltaXA = XA2 - XA1
DeltaYA = YA2 - YA1

J1 = DeltaYA / DeltaXA / 10

ThisDrawing.Utility.GetEntity Line2, p, "İkinci Doğruyu Seçiniz"
XB1 = Line2.StartPoint(0)
YB1 = Line2.StartPoint(1)
XB2 = Line2.EndPoint(0)
YB2 = Line2.EndPoint(1)
DeltaXB = XB2 - XB1
DeltaYB = YB2 - YB1

J2 = DeltaYB / DeltaXB / 10

delta = Abs(Atn(J1) - Atn(J2)) * 200 / PI





ThisDrawing.Utility.GetEntity te, p, "Delta Yazısını Seçiniz"
te.TextString = "\U+0394=" + Replace(CStr(Format(delta, "0.00")), ",", ".") + " gr"

Next i

End Sub


Seçtiğim iki doğru arasındaki açıyı grad cinsinden ölçüyor.Bunu bir çok doğruyu tek seferde seçim sırasıyla arasındaki "delta" açısını versin istiyorum

Saygılar...

> 1 <
Copyright © 2004-2022 SQL: 1 saniye - Sorgu: 42 - Ortalama: 0.02382 saniye